Bug 533400 - Little annoyance while cross compiling with libSvg libSql libOpenGL
Summary: Little annoyance while cross compiling with libSvg libSql libOpenGL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-qt
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Sailer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-06 15:55 UTC by chedi toueiti
Modified: 2009-12-01 04:46 UTC (History)
2 users (show)

Fixed In Version: 4.5.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 16:09:14 UTC
Type: ---


Attachments (Terms of Use)

Description chedi toueiti 2009-11-06 15:55:41 UTC
Description of problem:
while trying to cross compile my Qt application using mingw I got these errors:

i686-pc-mingw32-g++ -enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -Wl,-s -o release/caisse.exe release/main.o release/mainwindow.o release/Dialog.o release/moc_mainwindow.o release/moc_Dialog.o release/qrc_backs.o  -L"/usr/i686-pc-mingw32/sys-root/mingw/lib" -lQtSvg -lQtSql -lQtOpenGL -lQtGui -lQtNetwork -lQtCore -lopengl32 -lglu32 -lgdi32 -luser32
/usr/lib64/gcc/i686-pc-mingw32/4.4.1/../../../../i686-pc-mingw32/bin/ld: cannot find -lQtSvg

the same message with lQtSql and lQtOpenGL lQtGui lQtNetwork lQtCore


Version-Release number of selected component (if applicable):
mingw32-filesystem-56-1.fc12.noarch
mingw32-nsiswrapper-4-3.fc12.noarch
mingw32-w32api-3.13-4.fc12.noarch
mingw32-qt-qmake-4.5.2-2.fc12.x86_64
mingw32-gcc-4.4.1-3.fc12.x86_64
mingw32-nsis-2.45-2.fc12.x86_64
mingw32-qt-4.5.2-2.fc12.noarch
mingw32-cpp-4.4.1-3.fc12.x86_64
mingw32-gcc-c++-4.4.1-3.fc12.x86_64
mingw32-runtime-3.15.2-4.fc12.noarch
mingw32-binutils-2.19.51.0.14-1.fc12.x86_64
mingw32-qwt-5.1.1-9.fc12.noarch


How reproducible:
always

Steps to Reproduce:
1.qmake-qt4 -spec mingw32-fedora-cross
2.mingw32-make
3.
  
Actual results:
errors

Expected results:


Additional info:

the problem is a missing 4 in the end of the libs

[chedi@localhost release]$ rpm -qa | grep mingw | xargs rpm -ql | grep libQt
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQt3Support4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQt3Supportd4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtCore4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtCored4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtGui4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtGuid4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtNetwork4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtNetworkd4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtOpenGL4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtOpenGLd4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtScript4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtScriptTools4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtScriptToolsd4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtScriptd4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtSql4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtSqld4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtSvg4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtSvgd4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtXml4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtXmlPatterns4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtXmlPatternsd4.a
/usr/i686-pc-mingw32/sys-root/mingw/lib/libQtXmld4.a

so I changed my makefile manually and every thing is working fine now.

Comment 1 Fedora Update System 2009-11-11 23:03:10 UTC
mingw32-qt-4.5.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-qt-4.5.3-1.fc11

Comment 2 Fedora Update System 2009-11-11 23:06:59 UTC
mingw32-qt-4.5.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mingw32-qt-4.5.3-2.fc12

Comment 3 Fedora Update System 2009-11-13 02:35:26 UTC
mingw32-qt-4.5.3-2.fc12, mingw32-qt-qmake-4.5.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-qt mingw32-qt-qmake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11474

Comment 4 Fedora Update System 2009-11-13 02:36:34 UTC
mingw32-qt-4.5.3-1.fc11, mingw32-qt-qmake-4.5.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-qt mingw32-qt-qmake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11483

Comment 5 chedi toueiti 2009-11-13 07:43:47 UTC
I connot find the testing updates:

[root@localhost chedi]# yum --enablerepo=updates-testing update mingw32-qt mingw32-qt-qmake
Loaded plugins: fastestmirror, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: ftp.funet.fi
 * rpmfusion-free-rawhide: ftp.cc.uoc.gr
 * rpmfusion-nonfree-rawhide: ftp.cc.uoc.gr
 * updates: ftp.nluug.nl
 * updates-testing: ftp.nluug.nl
Setting up Update Process
No Packages marked for Update
[root@localhost chedi]# yum --enablerepo=updates-testing list mingw32-qt mingw32-qt-qmake
Loaded plugins: fastestmirror, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: ftp.funet.fi
 * rpmfusion-free-rawhide: ftp.cc.uoc.gr
 * rpmfusion-nonfree-rawhide: ftp.cc.uoc.gr
 * updates: ftp.uni-oldenburg.de
 * updates-testing: mirror1.atrpms.net
Installed Packages
mingw32-qt.noarch                                                              4.5.2-2.fc12                                                        @rawhide                              
mingw32-qt-qmake.x86_64                                                        4.5.2-2.fc12                                                        @/mingw32-qt-qmake-4.5.2-2

Comment 6 chedi toueiti 2009-11-13 07:53:21 UTC
I will be downloading it manually from koji (quit slow right now) and report as soon as I test it. but in http://mirror1.atrpms.net/fedora/linux/updates/testing/12/x86_64/ the files exists

[root@localhost chedi]# wget http://mirror1.atrpms.net/fedora/linux/updates/testing/12/x86_64/mingw32-qt-4.5.3-2.fc12.noarch.rpm
--2009-11-13 08:51:15--  http://mirror1.atrpms.net/fedora/linux/updates/testing/12/x86_64/mingw32-qt-4.5.3-2.fc12.noarch.rpm
Resolving mirror1.atrpms.net... 160.45.254.24
Connecting to mirror1.atrpms.net|160.45.254.24|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 17868592 (17M) [application/x-rpm]
Saving to: `mingw32-qt-4.5.3-2.fc12.noarch.rpm'

may be some yum problem ??

Comment 7 chedi toueiti 2009-11-13 08:09:12 UTC
not working yet !!!, I created a new application (with QtCreator) for the test (Only an empty window)

[chedi@localhost test3]$ make distclean
rm -f moc_mainwindow.cpp
rm -f ui_mainwindow.h
rm -f main.o mainwindow.o moc_mainwindow.o
rm -f *~ core *.core
rm -f test3 
rm -f Makefile
[chedi@localhost test3]$ qmake-qt4 -spec fedora-win32-cross
[chedi@localhost test3]$ mingw32-make
make -f Makefile.Release
make[1]: Entering directory `/home/chedi/Devel/plasma/test3'
uic-qt4 mainwindow.ui -o ui_mainwindow.h
i686-pc-mingw32-g++ -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 --param=ssp-buffer-size=4 -mms-bitfields -O2 -Wall -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtCore" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtGui" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtOpenGL" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtSvg" -I"/usr/i686-pc-mingw32/sys-root/mingw/include" -I"release" -I"." -I"/usr/lib64/qt4/mkspecs/fedora-win32-cross" -o release/main.o main.cpp
i686-pc-mingw32-g++ -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 --param=ssp-buffer-size=4 -mms-bitfields -O2 -Wall -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtCore" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtGui" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtOpenGL" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtSvg" -I"/usr/i686-pc-mingw32/sys-root/mingw/include" -I"release" -I"." -I"/usr/lib64/qt4/mkspecs/fedora-win32-cross" -o release/mainwindow.o mainwindow.cpp
moc-qt4 -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtCore" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtGui" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtOpenGL" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtSvg" -I"/usr/i686-pc-mingw32/sys-root/mingw/include" -I"release" -I"." -I"/usr/lib64/qt4/mkspecs/fedora-win32-cross" -D__GNUC__ -DWIN32 mainwindow.h -o release/moc_mainwindow.cpp
i686-pc-mingw32-g++ -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 --param=ssp-buffer-size=4 -mms-bitfields -O2 -Wall -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtCore" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtGui" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtOpenGL" -I"/usr/i686-pc-mingw32/sys-root/mingw/include/QtSvg" -I"/usr/i686-pc-mingw32/sys-root/mingw/include" -I"release" -I"." -I"/usr/lib64/qt4/mkspecs/fedora-win32-cross" -o release/moc_mainwindow.o release/moc_mainwindow.cpp
i686-pc-mingw32-g++ -enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -Wl,-s -o release/test3.exe release/main.o release/mainwindow.o release/moc_mainwindow.o  -L"/usr/i686-pc-mingw32/sys-root/mingw/lib" -lQtSvg -lQtOpenGL -lQtGui -lQtCore -lopengl32 -lglu32 -lgdi32 -luser32
/usr/lib64/gcc/i686-pc-mingw32/4.4.1/../../../../i686-pc-mingw32/bin/ld: cannot find -lQtSvg
collect2: ld returned 1 exit status
make[1]: *** [release/test3.exe] Error 1
make[1]: Leaving directory `/home/chedi/Devel/plasma/test3'
make: *** [release] Error 2

Comment 8 chedi toueiti 2009-11-13 08:09:32 UTC
[chedi@localhost test3]$ cat test3.pro
#-------------------------------------------------
#
# Project created by QtCreator 2009-11-11T09:29:46
#
#-------------------------------------------------

QT       += opengl svg

TARGET = test3
TEMPLATE = app


SOURCES += main.cpp\
        mainwindow.cpp

HEADERS  += mainwindow.h

FORMS    += mainwindow.ui

Comment 9 chedi toueiti 2009-11-13 08:12:07 UTC
I tried updating the project file manually (not very smart) :

[chedi@localhost test3]$ qmake-qt4 -spec fedora-win32-cross
Project MESSAGE: Warning: unknown QT: opengl4
Project MESSAGE: Warning: unknown QT: svg4
Project MESSAGE: Warning: unknown QT: opengl4
Project MESSAGE: Warning: unknown QT: svg4
Project MESSAGE: Warning: unknown QT: opengl4
Project MESSAGE: Warning: unknown QT: svg4

Comment 10 Thomas Sailer 2009-11-13 09:20:01 UTC
use:

export QMAKESPEC=fedora-win32-cross
qmake-qt4 -win32 QT_LIBINFIX=4
make


I want to keep the library names the same as the binaries released by Nokia.

Comment 11 chedi toueiti 2009-11-13 11:40:29 UTC
it's working for me. 

thanks

Comment 12 Fedora Update System 2009-12-01 04:31:17 UTC
mingw32-qt-4.5.3-2.fc12, mingw32-qt-qmake-4.5.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-12-01 04:46:52 UTC
mingw32-qt-4.5.3-1.fc11, mingw32-qt-qmake-4.5.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.